2024-06-06 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.6 -> 2.6.7
	Bug fix : stop with clear message when 0 BCC

2024-05-30 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.5 -> 2.6.6
	MacOS bug fixes

2024-05-24 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.4 -> 2.6.5
	Bug fixes so that testsuite runs on MacOS

2024-05-23 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.3 -> 2.6.4
	Bug fix for building kissplice and bcalm on ARM MacOS.
	Improvements to switch between bundled and system mode for bcalm.

2024-04-04 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.2 -> 2.6.3
	Improvements to install process and documentation.
	Introducing a debian/ubuntu binary build for convenience, useful for students with no root access.

2022-04-29 Audric Cologne <audric.cologne@univ-lyon1.fr>
	* 2.6.1 -> 2.6.2
	Improvements:
		- manpage and user_guide.pdf build process should now be reproducible
	Method:
		- Most of duplicated bubbles are now compressed in KisSplice (note the case for too large IR), improving speed and output clarity
		- Remove paths with too low Shannon entropy, improving speed
		- These two new filters can be disable with --keep-redundancy and --keep-low-complexity
		- Information on removed or compressed bubbles can be output with --get-redundance-info and --get-low-complexity-info
	Option:
		- Added --type1-only parameter to only quantify and output Type_1 bubbles (Alternative Splicing Events). Major speed-up for b > 10

2022-04-05 Francois Gindraud <francois.gindraud@inria.fr>
	* 2.6.0 -> 2.6.1
	Bug fix:
		- Option -s 1 works again. The last version for which it worked was 2.4.0-p1
		- Various warning fixes in C++ code 

2022-03-16 Audric Cologne <audric.cologne@univ-lyon1.fr>
	* 2.5.5 -> 2.6.0
	Major bug fixes:
		- "--stranded" is now working correctly and should be used with stranded RNAseq libraries
		- "--get-mapping-info" is now working as expected
	kissreads update:
		- Kissreads is now written with C++
	CMake update
		- conversion to "modern CMake" conventions: targets, proper scoping of CFLAGS, find_package for requirement detection.
		- bcalm tool is now an external dependency by default. A locally compiled version can be used as a fallback (matching previous behavior).
		- make install functionality has been restored. Previously broken due to bcalm submodule which installed bcalm in bin/.
		- userguide is built instead of using a cached pdf. Can be disabled if no latex dsitribution is present. A CI-generated pdf available online is linked in the readme.
		- release simplification: version number is propagated to userguide, manpage, kissplice.py frontend script.
		- fixes to documentation.
	New important release. Compared to 2.5.x, 2.6.x is:
		- Faster to install
		- Faster to run (parallelisation of kissreads)
		- Using information of stranded reads in kissreads (--stranded parameter)
		- Outputting information about read mapping on the de Bruijn Graph (--get-mapping-info)

2022-01-21 Audric Cologne <audric.cologne@univ-lyon1.fr>
	* 2.5.4 -> 2.5.5
	New feature:
		-Paralellisation of Kissreads

2021-03-05 Audric Cologne <audric.cologne@univ-lyon1.fr>
	* 2.5.3 -> 2.5.4
	Bug fixes:
		-fixed multiple definitions of variable due to new version of gcc (gcc10)

2020-06-10 Vincent Lacroix <vincent.lacroix@univ-lyon1.fr>
	* 2.2.5 -> 2.5.3
	Bug fixes:
		-fixed unitary tests

2020-06-04 Vincent Lacroix <vincent.lacroix@univ-lyon1.fr>
	* 2.5.1 -> 2.5.2
	Parameters:
		-c from 5 to 2. Modifying this parameter in version 2.5.1 was changing too much the output. Setting it back to 2 enables to capture rare variants again, for a reasonable running time cost.

2020-04-15 Vincent Lacroix <vincent.lacroix@univ-lyon1.fr>
	* 2.5.0 -> 2.5.1
	Parameters:
		-b from 10 to 5. Improvement of default running  time at the expense of losing out complex variants.  -b had been temptatively set to 10 in version 2.5.0 to enumerate more complex bubbles but this impacts running time too much. We set it back to 5.
		-c from 2 to 5. Improvement of default running time at the expense of losing out rare variants. 

2020-03-10 Vincent Lacroix <vincent.lacroix@univ-lyon1.fr>
	* 2.4.0-p1 -> 2.5.0
	New features:
		-Added --stranded parameter, enables to take advantage of the strandedness of the reads, useful when genes located on different strands overlap, this is the case for instance in human cell lines infected by influenza because the virus manipulates the termination of transcription of its host, hence transcripts are much longer and possibly overlap downstream genes, causing false positive intron retention calls.
		-Now compatible with python3
			
	Improvements:		
		-Huge speed-up in graph construction, now performed using bcalm
		-Experimental algorithm for bubble enumeration now used by default

	Parameters:
		--mismatches from 0 to 2, as was done in Benoit-Pilven et al.
		--min_overlap from 3 to 5, as was done in Benoit-Pilven et al.
		--counts from 0 to 2, as was done in Benoit-Pilven et al.

2016-04-14 Leandro Ishi <leandro.ishi.lima@gmail.com>
	* 2.4.0 -> 2.4.0-p1
	Bugs fixes:
		-Fixed a bug that happened if the user uses the --min_overlap parameter.

2015-10-22 Leandro Ishi <leandro.ishi.lima@gmail.com>
	* 2.3.1 -> 2.4.0
	Bugs fixes:
		-Fixed a minor bug in which some branching bubbles were wrongly compressed in the 4-nodes compression step. This caused some rare bubbles to be missed.
		-Fixed a minor bug in which some linear paths remained uncompressed after the 4-nodes compression step. This caused some rare bubbles to be missed.
		-Fixed a bug which caused the reads in the junction AS, SB, ASSB, AB and S to be wrongly counted and another which caused a read to map to a bubble without enough overlapping bases. This may change the counts of the events and their classification whether coherent or uncoherent.
		-Fixed the main script not recognizing when the stack size limit was exceeded and to advise the user to execute “ulimit -s unlimited” before rerunning KisSplice.

	New features:
		-Modified the -s parameter. -s now should be always followed by an integer and it changes which types of SNPs will be output. If 0 (default), will not output SNPs. If 1, will output Type0a-SNPs. If 2, will output Type0a and Type0b SNPs.
		-Added a new experimental algorithm that searches for bubbles by listing all paths. The time and memory that may be used by this new algorithm is not bounded by a polynomial function on the input size, but it worked well on some instances in practice. To use this algorithm instead of the default one, it is needed to call KisSplice with parameter --experimental.
		-Added a memory limit to the experimental algorithm (parameter --max-memory). When using the experimental algorithm (--experimental) instead of the default one, the user may give a memory limit to this algorithm. If the algorithm uses more than this limit, it is killed. By default, this value is unlimited (i.e. no memory limit is imposed);
		-Added --keep-bccs parameter which is a boolean that indicates if KisSplice should keep the node/edges files for all bccs after execution (defaults to false).
		-Added --output-branch-count parameter which is a boolean that indicates if KisSplice should output the number of branching nodes in each path (defaults to false).
		-Added --keep-counts parameter which is a boolean that indicates if KisSplice should keep the .counts file after the sequencing-errors-removal step (defaults to false. We added this because the .counts file was too big sometimes and generally the user did not need to keep it (if needed, it can be recreated with -C and --keep-counts))
		-Added a timestamp to the main messages of the pipeline and a summary log file on the results folder

	Improvements:
		-Improved the Sequencing error removal step (e.g.: sometimes the files output by the error removal step are already calculated, so we do not need to redo them);
		-Improved the way KisSplice classifies bubbles: 1) indels (Type 3) now have a shorter path length of at maximum 2k (or 2k-2, without counting the two characters of context); 2) now the maximum 10% hamming distance to classify a bubble as Type_0b considers only the variable part of the upper and lower path.
		-Bubbles are now output before and after read coherency module.

	Parameters:
		-m (LL_MIN) from 2k-8 to 2k-10 (not counting the two nucleotides of context. If you count them, it was from 2k-6 to 2k-8). So, more bubbles will be found now.
		-M (UL_MAX) from 10000 to 1000000. This enables KisSplice to find very long and rare events, and it does not impact much in runtime.
		--timeout now defaults to 100000s
		-C from 0.02 to 0.05

2014-12-17 Camille Marchet <camille.marchet@inria.fr>
	* 2.2.1 -> 2.3.0
  Bugs fixed :
    - Reads containing only 'N': the graph construction was stopped if the file contained a read composed only of 'N's. This is was a silence bug, no error message was produced.
    - Problems compiling with new versions of MAC OSX (10.8+): KisSplice
    was not compiling with the new default C++ compiler of OSX 10.8+.

  Improvements :
    -KissReads :
      * speed up x2 on average
      * More precise  control of KissReads' behaviour by decorrelating the values of k and of the seed.
      * -m option was changed in order to return the Id of reads that mapped on a path

   Parameters :
     --timeout default now at 10000

2014-07-24 Camille Marchet <camille.marchet@inria.fr>
	* 2.2.0 -> 2.2.1
	This version fixes a bug in KissReads when a fasta/fastq file contains empty lines. Indeed KisSplice and KissReads had not the same way to treat empty lines, KisSplice part was just ignoring them while KissReads stopped the mapping at the first line of this type. As a result, many events were classified as "incoherent", because KissReads did not check on them. They are now correctly classified.

	It also corrects CMAKE behavior for ZLIB library. This affects only the compilation & installation of
	KisSplice in some cases and does not have impact on KiSplice results.

2014-06-05 Camille Marchet <camille.marchet@inria.fr>
	* 2.1.0 -> 2.2.0
	Pipeline features :
		- New enumeration algorithm : restricted enumeration branch has been merged and former enumeration is no longer used. This new enumeration has been developped to tackle the issue of events lost in big bccs. The idea is to enumerate all bubbles with at most b branching nodes in each path, doing so we avoid repeated regions.
	Options and parameters :
		- Do not output SNPs by default. The flag (-s) outputs SNPs.
		- The maximum number of cycles (max_cycles) increased from 10k to 100M.
		- The timeout increased from 900s to 3600s.
		- Option -u goes back to not returning unfinished bcc by default.
		- -b option to set the number of branches, related to the new enumeration method(5 by default).
	For developpers :
		- smaller data for tests

2014-01-22 Camille Marchet <camille.marchet@inria.fr>
	* 2.0.0 -> 2.1.0
	Pipeline features : 
		- Bug fixed :  
			-Error removal step erased random edges. Now fixed : discards edges according to C value.
		- "N" nucleotides are now ignored by the pipeline during graph building.
		- Now working with Minia r6025 and Minigraph r5097.
		- Now using 4 Bloom filters by default.

	Options and parameters :
		- New option --mismatches makes possible to allow some mismatches while KissReads' reads alignment on results.
		- Option -u has changed:	=1 to store unfinished bcc (default)
						=0 to discard unfinished bcc
		- Default parameters have changed : k moves from 25 to 41 and M from 1000 to 10000. 

	Outputs :
		- The command line is returned in the output (.o) file.
		- Type_0 results file now presents two types of variants : 
			Type_0a where only one single nucleotide change is returned in the upper path
			Type_0b where several single nucleotide changes are returned in the upper path

	For developpers :
		- 3 Functional tests added : test each module (ks_error_removal, ks_run_module, ks_bubble_enumeration).
		- A test on debruijn graph construction added	
		- It is possible to perfom profiling on KisSplice using gprof



2013-11-13 Alice Julien-Laferriere <alice.julien-laferriere@inria.fr>
	* 1.8.3 -> 2.0
	-New kissreads version following developments of symbiose project: specific counts for kissplice. 4 counts are made now : ASB, AS, SB ,S, AB (for events: ASB, AB). parallel version by default
	-Coherence is made based on reads covering nt not on reads covering kmer. min_overlap parameters is added. A read is count only if it overlap the variable part if the events by min_overlap nt. eg: if the read overlap by min_overlap S it is count in S, by min_overlap the junction AS, etc.
	-New counting option for junction are therefore in kissplice.py scripts: options --counts : 0 (counts are reported as CX), 1 (  ASX, SBX, ASSBX, ABX), 2 ( ASX, SBX, SX, ASSB, ABX). See user_guide for full information.
	-There are k nucleotide sequences on both sides of the variations (instead of k-1 in previous version)
	- New options : --output-context and --output-path
	--output-context : if is possible, KisSplice will output the longest sequences possible before and after the events, the outputted context is in lower case
	--output-path: kissplice output in all_path_k{k value} file the nodes ids of the cycles
	-The counts are made for the SNPs with a seed of k + 1 because of the k nt context
	- It is now forbidden to pick an even value for k
	-Changes the results, they are more numerous due to distinction of switching node enable by the k nt context. Counts can be modified a little bit, because of the seed of k+1 nt for nt and the min_overlap parameters. 
	-Efficient internal use of disk capacities. Suitable for a large range of systems from laptops to clusters. Implemented by Gunter Roeth (Bull HPC Extreme Computing <gunter.roeth@bull.net>)
	
2013-08-02 David Parsons <david.parsons@inria.fr>
	* 1.8.2 -> 1.8.3
	New build organization: main binary kissplice remains in the bin directory, all the secondary binaries now go to lib/kissplice

2013-06-03 Vincent Miele <vincent.miele@univ-lyon1.fr>
	* 1.8.1 -> 1.8.2
	New kissreads version, more stable
	compressed reads are now valid input
	
2013-04-04 Alice Julien-Laferriere <alice.julien-laferriere@inria.fr>
	* 1.8.0 -> 1.8.1
	Patch: it is now possible to compile and use k-mer > 31
	(use cmake . -DKMERS_OVER_32=ON)
	-C option: default to  0.02
	
2013-03-28  Alice Julien-Laferriere <alice.julien-laferriere@inria.fr>
	* 1.7.1 -> 1.8.0
	De Bruijn Graph construction use new Minia version (v4) much more memory efficient
	Dynamic error removal: a pre-processing step to remove edges with low relative coverage, which are likely sequencing errors.
	Uniform criteria to stop the enumeration: if a bcc reached the timeout OR the maximum number of cycles, nothing is output. This should change the results.

2012-09-01 Gustavo Sacomoto <sacomoto@gmail.com>
	* 1.6.3 -> 1.7
	Python script kissplice replaces shell script kissplice.sh

2012-04-04 Gustavo Sacomoto <sacomoto@gmail.com>
	* 1.6.2 -> 1.6.3
	Bug related to mac OS fixed

2012-03-29 Gustavo Sacomoto <sacomoto@gmail.com>
	* 1.6 -> 1.6.2
    Large k (k>32) bug fixed
    Proper installation using cmake / done by Vincent Miele
	
2012-02-14 Pierre Peterlongo <pierre.peterlongo@inria.fr>
	* 1.5.1 -> 1.6
  	Possibility to chose the output directory (-o)
    Possibility to run kissplice from any directory
    Possibility to avoid the computation of SNPs and sequencing errors (-s)
    Updated manual
    
2012-02-03 Gustavo Sacomoto <sacomoto@gmail.com>
	* 1.5 -> 1.5.1
	Small bug fixed
	
2012-01-23 Pierre Peterongo <pierre.peterlongo@inria.fr>
	* 1.4 -> 1.5
    ranking and sorting results on read coverage and not k-mer coverage
    provides 5 files:
    	uncoherent (a bit useless)
        Type 0: SNPS / sequencing errors
        Type 1: splicing events
        Type 2: Tandem repeats
        Type 3: Short indels
        
2012-01-17 Pierre Peterlongo <pierre.peterlongo@inria.fr>
 	* 1.2 -> 1.4
 	Possibility to use k larger than 32 nt (slower) or smaller than 32 (faster)

2012-01-16 Pierre Peterlongo <pierre.peterlongo@inria.fr>
	* 1.1 -> 1.2
  	Better de-bruijn graph creation
    Read length unlimited
    Checks the read coherency and provides read coverage on results
    
2011-10-28 Gustavo Sacomoto <sacomoto@gmail.com>
	* 1.0 -> 1.1
	Fixed small bugs
	Improved the user guide
    
2011-10-24 Pierre Peterlongo <pierre.peterlongo@inria.fr>
 	* 1.0
 	Initial release

